For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • Introduction
    • Welcome to Monite
    • Monite account structure
    • Postman collections
    • Support
  • Get started
    • Step 1. Get your credentials
    • Step 2. Implement server side
        • Overview
        • Addresses
        • Bank accounts
        • Contacts
        • VAT IDs
      • Tags
      • Metadata
      • Payment terms
      • Payment records
      • Projects
LogoLogo
API StatusPartner Portal
On this page
  • Add a contact to a counterpart
  • Set the default contact
  • List all contacts
  • Retrieve a contact
  • Edit a contact
  • Delete a contact
Common objectsCounterparts

Counterpart contacts

Learn how to manage the counterpart's contact information.
Was this page helpful?
Previous

Counterpart VAT IDs

Learn which VAT IDs Monite supports and how to manage them.
Next
Built with

Counterparts of type organization can have contact information associated with them. The contact information can be used to pay the invoices issued by those counterparts.

Add a contact to a counterpart

To add a contact to a counterpart, call POST /counterparts/{counterpart_id}/contacts:

1curl -X POST 'https://api.sandbox.monite.com/v1/counterparts/{counterpart_id}/contacts' \
2 -H 'X-Monite-Version: 2023-09-01' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN' \
5 -H 'Content-Type: application/json' \
6 -d '{
7 "first_name": "Mary",
8 "last_name": "O Brien",
9 "email": "contact@example.org",
10 "phone": "5551235476",
11 "address": {
12 "country": "DE",
13 "city": "Berlin",
14 "postal_code": "10115",
15 "state": "BE",
16 "line1": "Flughafenstrasse 52",
17 "line2": "Additional information"
18 },
19 "title": "Ms."
20 }'

The successful response returns the information about the contact:

1{
2 "first_name": "Mary",
3 "last_name": "O Brien",
4 "email": "contact@example.org",
5 "phone": "5551235476",
6 "address": {
7 "country": "DE",
8 "city": "Berlin",
9 "postal_code": "10115",
10 "state": "BE",
11 "line1": "Flughafenstrasse 52",
12 "line2": "Additional information"
13 },
14 "title": "Ms.",
15 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
16 "counterpart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
17 "is_default": false
18}

Set the default contact

Once the contacts are added to the counterpart, select a default contact by calling POST /counterparts/{counterpart_id}/contacts/{contact_id}/make_default:

1curl -X POST 'https://api.sandbox.monite.com/v1/counterparts/3fa8...f66afa6/contacts/9d2b4c8f...83c49a4/make_default' \
2 -H 'X-Monite-Version: 2023-09-01' \
3 -H 'X-Monite-Entity-Id: ENTITY_ID' \
4 -H 'Authorization: Bearer ACCESS_TOKEN'

The successful response contains information about the contact marked as default:

1{
2 "first_name": "Mary",
3 "last_name": "O Brien",
4 "email": "contact@example.org",
5 "phone": "5551235476",
6 "address": {
7 "country": "DE",
8 "city": "Berlin",
9 "postal_code": "10115",
10 "state": "BE",
11 "line1": "Flughafenstrasse 52",
12 "line2": "Additional information"
13 },
14 "title": "Ms.",
15 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
16 "counterpart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
17 "is_default": true
18}

List all contacts

To get information about all contacts associated with the specified counterpart, call
GET /counterparts/{counterpart_id}/contacts.

Retrieve a contact

To get information about a specific contact associated with the specified counterpart, call
GET /counterparts/{counterpart_id}/contacts/{contact_id}.

Edit a contact

To edit an existing contact of the specified counterpart, call
PATCH /counterparts/{counterpart_id}/contacts/{contact_id}.

Delete a contact

To delete an existing contact from the list of contacts associated with the specified counterpart, call
DELETE /counterparts/{counterpart_id}/contacts/{contact_id}. Only non-default contacts can be deleted.